#!/bin/sh

# generate all sizes
for size in 16 32 64 120 128 180 192 200 512 880; do
    if [ ! -f tildegit-$size.png ]; then
        convert -resize "${size}x${size}" tildegit.png tildegit-$size.png
    fi
done

convert \
    tildegit-16.png \
    tildegit-32.png \
    tildegit-64.png \
    tildegit-128.png \
    -delete 0 -alpha off -colors 256 favicon.ico

cp tildegit-120.png gitea-sm.png
cp tildegit-180.png apple-touch-icon.png
cp tildegit-180.png favicon.png
cp tildegit-192.png gitea-192.png
cp tildegit-200.png avatar_default.png
cp tildegit-512.png gitea-512.png
cp tildegit-880.png gitea-lg.png

